All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
NV21ToRGB
Color Model Conversion

NV21 to RGB color conversion. More...

## Functions

NppStatus | nppiNV21ToRGB_8u_P2C4R_Ctx (const Npp8u *const pSrc[2], int rSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 2 channel 8-bit unsigned planar NV21 to 4 channel 8-bit unsigned packed RGBA color conversion with constant alpha (0xFF). More...
NppStatus | nppiNV21ToRGB_8u_P2C4R (const Npp8u *const pSrc[2], int rSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)

## Detailed Description

NV21 to RGB color conversion.

## Function Documentation

NppStatus nppiNV21ToRGB_8u_P2C4R | ( | const Npp8u *const | pSrc[2],
|  | int | rSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiNV21ToRGB_8u_P2C4R_Ctx | ( | const Npp8u *const | pSrc[2],
|  | int | rSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

2 channel 8-bit unsigned planar NV21 to 4 channel 8-bit unsigned packed RGBA color conversion with constant alpha (0xFF).

Parameters

  pSrc | Source-Planar-Image Pointer Array (one for Y plane, one for VU plane).
  rSrcStep | Source-Planar-Image Line Step. Same value is used for each plane.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2020 NVIDIA Corporation